head	1.4;
access;
symbols
	RELEASE_8_3_0:1.3
	RELEASE_9_0_0:1.3
	RELEASE_7_4_0:1.3
	RELEASE_8_2_0:1.3
	RELEASE_6_EOL:1.3
	RELEASE_8_1_0:1.3
	RELEASE_7_3_0:1.3
	RELEASE_8_0_0:1.3
	RELEASE_7_2_0:1.3
	RELEASE_7_1_0:1.3
	RELEASE_6_4_0:1.3
	RELEASE_5_EOL:1.3
	RELEASE_7_0_0:1.3
	RELEASE_6_3_0:1.3
	PRE_XORG_7:1.3
	RELEASE_4_EOL:1.3
	RELEASE_6_2_0:1.3
	RELEASE_6_1_0:1.3
	RELEASE_5_5_0:1.3
	RELEASE_6_0_0:1.3
	RELEASE_5_4_0:1.2
	RELEASE_4_11_0:1.2
	RELEASE_5_3_0:1.1
	RELEASE_4_10_0:1.1;
locks; strict;
comment	@# @;


1.4
date	2012.11.17.05.58.51;	author svnexp;	state Exp;
branches;
next	1.3;

1.3
date	2005.04.13.15.14.26;	author glewis;	state Exp;
branches;
next	1.2;

1.2
date	2004.12.17.05.40.56;	author maho;	state Exp;
branches;
next	1.1;

1.1
date	2004.01.31.23.32.41;	author maho;	state Exp;
branches;
next	;


desc
@@


1.4
log
@Switch exporter over
@
text
@$FreeBSD: head/lang/ifc/files/patch-bin::ifort 300896 2012-07-14 13:54:48Z beat $

--- bin/ifort.orig	Thu Apr  7 09:47:54 2005
+++ bin/ifort	Thu Apr  7 09:49:52 2005
@@@@ -1,5 +1,10 @@@@
 #!/bin/sh
 
+ICC_LOCALBASE=%%ICC_LOCALBASE%%
+export ICC_LOCALBASE;
+GXX_ROOT=<INSTALLDIR>/lib
+export GXX_ROOT
+
 if [ -z "$INTEL_LICENSE_FILE" ]
 then
  INTEL_LICENSE_FILE="<INSTALLDIR>/licenses";
@@@@ -24,11 +29,31 @@@@
 fi
 export PATH;
 
-export -n IA32ROOT; unset IA32ROOT;
-
 if [ $# != 0 ]
 then
- exec -a "<INSTALLDIR>/bin/ifort" <INSTALLDIR>/bin/ifortbin "$@@";
+ i=0
+ argc=$#
+ while [ $i -lt $argc ] ; do
+  val1=$1
+  shift
+  val2=${val1#"-openmp"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  val2=${val1#"-par"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  if [ "${val1}" = "-Kpic" ] || [ "${val1}" = "-KPIC" ] || \
+   [ "${val1}" = "-fpic" ] || [ "${val1}" = "-fPIC" ] ; then
+   set -- "$@@" "-Qoption,ld,-PIC"
+  fi
+  set -- "$@@" "$val1"
+  i=$(($i+1))
+ done
+ exec <INSTALLDIR>/bin/ifortbin "$@@";
 else
- exec -a "<INSTALLDIR>/bin/ifort" <INSTALLDIR>/bin/ifortbin;
+ exec <INSTALLDIR>/bin/ifortbin;
 fi
@


1.3
log
@. Update to 8.1.024.

Update also mentioned by:	otton@@enstimac.fr
Approved by:			maho (maintainer)
@
text
@d1 1
a1 1
$FreeBSD$
@


1.2
log
@Update to 8.1.023
and also Solved the dynamic linkage problem.

PR:		74373
Submitted by:	Alexander S. Usov <usov at kvip88.kvi.nl>
@
text
@d1 5
a5 3
--- bin/ifort.orig	Thu Nov 25 15:41:18 2004
+++ bin/ifort	Thu Nov 25 15:47:00 2004
@@@@ -1,6 +1,11 @@@@
a7 1
-if [ -z INTEL_LICENSE_FILE ]
d13 1
a13 1
+if [ -z "$INTEL_LICENSE_FILE" ]
d15 1
a15 20
 INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
 else
@@@@ -8,7 +13,7 @@@@
 fi
 export INTEL_LICENSE_FILE;
 
-if [ -z LD_LIBRARY_PATH ]
+if [ -z "$LD_LIBRARY_PATH" ]
 then 
  LD_LIBRARY_PATH=<INSTALLDIR>/lib;
 else
@@@@ -16,7 +21,7 @@@@
 fi
 export LD_LIBRARY_PATH;
 
-if [ -z PATH ]
+if [ -z "$PATH" ]
 then
  PATH=<INSTALLDIR>/bin;
 else
@


1.1
log
@Update to 8.0.039

Submitted by:	Masakazu HIGAKI <higamasa@@dream.com>
@
text
@d1 3
a3 3
--- bin/ifort.orig	Tue Dec  9 19:55:12 2003
+++ bin/ifort	Tue Dec  9 20:12:01 2003
@@@@ -1,6 +1,9 @@@@
d9 2
d16 1
a16 1
@@@@ -8,7 +11,7 @@@@
d25 1
a25 1
@@@@ -16,7 +19,7 @@@@
d34 1
a34 1
@@@@ -24,11 +27,31 @@@@
@

